Bug 1886722 - OpenH264 codec fails to decode when we seek in video stream
Summary: OpenH264 codec fails to decode when we seek in video stream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-09 08:29 UTC by Martin Stransky
Modified: 2020-10-23 22:47 UTC (History)
11 users (show)

Fixed In Version: firefox-82.0-4.fc32 firefox-82.0-4.fc33 firefox-82.0-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-16 14:15:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1670333 0 -- NEW When decoding video by OpenH264 GMP and position at video stream is changed, decoding fails. 2020-11-29 15:10:34 UTC

Description Martin Stransky 2020-10-09 08:29:49 UTC
Description of problem:

OpenH264 codec fails to decode when we seek in video stream, with:

[Child 76990, MediaDecoderStateMachine #1] WARNING: Decoder=7f93c0e74400 Decode error: NS_ERROR_DOM_MEDIA_DECODE_ERR (0x806e0004) - virtual RefPtr<mozilla::MozPromise<nsTArray<RefPtr<mozilla::MediaData> >, mozilla::MediaResult, true> > mozilla::GMPVideoDecoder::Decode(mozilla::MediaRawData*): mGMP->Decode:80004005: file /home/komat/CVS/firefox/firefox-81.0.1/dom/media/MediaDeco

Comment 1 Martin Stransky 2020-10-16 14:15:00 UTC
An experimental patch was added to 82.0-1

Comment 2 Fedora Update System 2020-10-16 14:19:23 UTC
FEDORA-2020-21b9d8f218 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-21b9d8f218

Comment 3 Fedora Update System 2020-10-16 14:19:26 UTC
FEDORA-2020-d077ee049c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d077ee049c

Comment 4 Fedora Update System 2020-10-16 14:19:28 UTC
FEDORA-2020-a2b6a37b5a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a2b6a37b5a

Comment 5 Fedora Update System 2020-10-16 16:02:18 UTC
FEDORA-2020-a2b6a37b5a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a2b6a37b5a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a2b6a37b5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-16 16:08:38 UTC
FEDORA-2020-d077ee049c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d077ee049c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d077ee049c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-16 22:18:06 UTC
FEDORA-2020-21b9d8f218 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-21b9d8f218`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-21b9d8f218

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-20 07:16:09 UTC
FEDORA-2020-aba1d14e9e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-aba1d14e9e

Comment 9 Fedora Update System 2020-10-20 07:16:12 UTC
FEDORA-2020-c82e86cde0 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c82e86cde0

Comment 10 Fedora Update System 2020-10-20 07:16:14 UTC
FEDORA-2020-de83d27335 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-de83d27335

Comment 11 Fedora Update System 2020-10-20 14:24:09 UTC
FEDORA-2020-c82e86cde0 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c82e86cde0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c82e86cde0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-20 18:50:21 UTC
FEDORA-2020-de83d27335 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-de83d27335`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-de83d27335

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-20 19:00:46 UTC
FEDORA-2020-aba1d14e9e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-aba1d14e9e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-aba1d14e9e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-10-21 19:58:59 UTC
FEDORA-2020-aba1d14e9e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-10-23 22:17:51 UTC
FEDORA-2020-c82e86cde0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-10-23 22:47:27 UTC
FEDORA-2020-de83d27335 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.